%define pkg_name        HTML-Template-Pluggable
%define pkg_version     0.17
%define rpm_pkg_version 0.17
%define rpm_pkg_release 1.n0i.5

Summary:       Extends HTML::Template with plugin support
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       GPL+ or Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/R/RH/RHESA/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)

%if %{!?_without_test:1}0
BuildRequires: perl(Class::Trigger)
BuildRequires: perl(HTML::Template) >= 2.7
BuildRequires: perl(Regexp::Common)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::MockObject) >= 1
%endif

Requires: perl(HTML::Template) >= 2.7


%description
HTML::Template::Pluggable - Extends HTML::Template with plugin support.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc ARTISTIC Changes GPL README


%changelog
* Thu Sep 27 2007 Marius Feraru <altblue@n0i.net> - 0.17-1.n0i.5
- version 0.17

* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.16-1.n0i.4
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- rebuild on perl 5.8.8
- version 0.16

* Tue Mar 28 2006 Marius Feraru <altblue@n0i.net> - 0.15-1.n0i.3
- version 0.15

* Thu Oct 06 2005 Marius Feraru <altblue@n0i.net> 0.13-1.n0i.2
- version 0.13

* Fri Sep 02 2005 Marius Feraru <altblue@n0i.net> 0.12-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.10
- rebuild on perl 5.8.7
